View Issue Details

IDProjectCategoryView StatusLast Update
0001901Industrial-Craft²crossmod-compatibility / submodules / APIpublic2016-06-14 08:52
ReporterkamyflougeAssigned ToAroma1997 
PriorityimmediateSeveritycrashReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in VersionBuilds for MC 1.9.x 
Summary0001901: 1.9.4 crash with ic2buckethandler
Descriptioni get this crash whenever i use the bucket on every liquid it didnt used to have it from the begining but now i always get that crash
Steps To Reproduceuse the bucket to pick liquids (in my case lava)
Additional Informationi am using industrialcraft-2-2.5.3-ex19
and forge1.9.4-12.17.0.1954
TagsCan be closed, Duplicate
Minecraft Version1.9.4

Relationships

duplicate of 0001890 resolvedAroma1997 NPE onBucketFill 

Activities

kamyflouge

2016-06-13 13:53

reporter  

crash-2016-06-12_15.22.23-client.txt (15,143 bytes)
---- Minecraft Crash Report ----

WARNING: coremods are present:
  LoadingPlugin (Bloodmoon-MC1.9.4-1.4.1.jar)
  LoadingPlugin (Quark-beta-22.jar)
  CoreXU2 (extrautils2-1.9.4-alpha-1.0.0a.jar)
  IC2core (industrialcraft-2-2.5.3-ex19.jar)
  FMLPlugin (InventoryTweaks-1.61-dev-53.jar)
  CoreMod (Aroma1997Core-1.9.4-1.0.6.0.b65.jar)
  EnderCorePlugin (EnderCore-1.9.4-0.4.0.23-alpha.jar)
Contact their authors BEFORE contacting forge

// Don't be sad, have a hug! <3

Time: 6/12/16 3:22 PM
Description: Unexpected error

java.lang.NullPointerException: Unexpected error
	at ic2.core.IC2BucketHandler.onBucketFill(IC2BucketHandler.java:18)
	at net.minecraftforge.fml.common.eventhandler.ASMEventHandler_244_IC2BucketHandler_onBucketFill_FillBucketEvent.invoke(.dynamic)
	at net.minecraftforge.fml.common.eventhandler.ASMEventHandler.invoke(ASMEventHandler.java:49)
	at net.minecraftforge.fml.common.eventhandler.EventBus.post(EventBus.java:140)
	at net.minecraftforge.event.ForgeEventFactory.onBucketUse(ForgeEventFactory.java:302)
	at net.minecraft.item.ItemBucket.func_77659_a(ItemBucket.java:40)
	at net.minecraft.item.ItemStack.func_77957_a(ItemStack.java:160)
	at net.minecraft.client.multiplayer.PlayerControllerMP.func_187101_a(PlayerControllerMP.java:485)
	at PlayerControllerOF.func_187101_a(PlayerControllerOF.java:73)
	at net.minecraft.client.Minecraft.func_147121_ag(Minecraft.java:1543)
	at net.minecraft.client.Minecraft.func_184117_aA(Minecraft.java:2176)
	at net.minecraft.client.Minecraft.func_184118_az(Minecraft.java:1960)
	at net.minecraft.client.Minecraft.func_71407_l(Minecraft.java:1748)
	at net.minecraft.client.Minecraft.func_71411_J(Minecraft.java:1056)
	at net.minecraft.client.Minecraft.func_99999_d(Minecraft.java:369)
	at net.minecraft.client.main.Main.main(SourceFile:124)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
	at java.lang.reflect.Method.invoke(Unknown Source)
	at net.minecraft.launchwrapper.Launch.launch(Launch.java:135)
	at net.minecraft.launchwrapper.Launch.main(Launch.java:28)


A detailed walkthrough of the error, its code path and all known details is as follows:
---------------------------------------------------------------------------------------

-- Head --
Thread: Client thread
Stacktrace:
	at ic2.core.IC2BucketHandler.onBucketFill(IC2BucketHandler.java:18)
	at net.minecraftforge.fml.common.eventhandler.ASMEventHandler_244_IC2BucketHandler_onBucketFill_FillBucketEvent.invoke(.dynamic)
	at net.minecraftforge.fml.common.eventhandler.ASMEventHandler.invoke(ASMEventHandler.java:49)
	at net.minecraftforge.fml.common.eventhandler.EventBus.post(EventBus.java:140)
	at net.minecraftforge.event.ForgeEventFactory.onBucketUse(ForgeEventFactory.java:302)
	at net.minecraft.item.ItemBucket.func_77659_a(ItemBucket.java:40)
	at net.minecraft.item.ItemStack.func_77957_a(ItemStack.java:160)
	at net.minecraft.client.multiplayer.PlayerControllerMP.func_187101_a(PlayerControllerMP.java:485)
	at PlayerControllerOF.func_187101_a(PlayerControllerOF.java:73)
	at net.minecraft.client.Minecraft.func_147121_ag(Minecraft.java:1543)
	at net.minecraft.client.Minecraft.func_184117_aA(Minecraft.java:2176)
	at net.minecraft.client.Minecraft.func_184118_az(Minecraft.java:1960)

-- Affected level --
Details:
	Level name: MpServer
	All players: 1 total; [EntityPlayerSP['kamyflouge'/230, l='MpServer', x=-25.59, y=47.00, z=554.24]]
	Chunk stats: MultiplayerChunkCache: 289, 289
	Level seed: 0
	Level generator: ID 00 - default, ver 1. Features enabled: false
	Level generator options: 
	Level spawn location: World: (198,64,203), Chunk: (at 6,4,11 in 12,12; contains blocks 192,0,192 to 207,255,207), Region: (0,0; contains chunks 0,0 to 31,31, blocks 0,0,0 to 511,255,511)
	Level time: 466638 game time, 512019 day time
	Level dimension: 0
	Level storage version: 0x00000 - Unknown?
	Level weather: Rain time: 0 (now: true), thunder time: 0 (now: false)
	Level game mode: Game mode: survival (ID 0). Hardcore: false. Cheats: false
	Forced entities: 34 total; [EntityZombie['Zombie'/321, l='MpServer', x=46.50, y=64.00, z=530.50], EntityAbyssalZombie['Abyssal Zombie'/322, l='MpServer', x=-0.50, y=64.00, z=582.50], EntityBat['Bat'/323, l='MpServer', x=-63.22, y=31.94, z=625.70], EntitySpider['Spider'/325, l='MpServer', x=49.50, y=72.00, z=508.50], EntityLift['Elevator'/326, l='MpServer', x=-0.50, y=71.00, z=539.50], EntityCreeper['Creeper'/392, l='MpServer', x=-87.50, y=76.00, z=521.50], EntitySkeleton['Skeleton'/394, l='MpServer', x=-94.75, y=64.00, z=539.50], EntityZombie['Zombie'/333, l='MpServer', x=-23.44, y=71.00, z=570.75], EntityBat['Bat'/338, l='MpServer', x=26.88, y=34.10, z=498.24], EntityBat['Bat'/345, l='MpServer', x=42.47, y=20.00, z=580.46], EntityMinecartChest['Minecart with Chest'/411, l='MpServer', x=-65.50, y=40.06, z=479.50], EntitySpider['Spider'/284, l='MpServer', x=-75.50, y=69.00, z=573.50], EntityMinecartChest['Minecart with Chest'/413, l='MpServer', x=-85.50, y=41.06, z=484.50], EntityBat['Bat'/285, l='MpServer', x=-85.79, y=43.09, z=586.44], EntityAbyssalZombie['Abyssal Zombie'/414, l='MpServer', x=-97.77, y=38.00, z=506.54], EntityCreeper['Creeper'/286, l='MpServer', x=-100.50, y=11.00, z=600.50], EntityAbyssalZombie['Abyssal Zombie'/415, l='MpServer', x=-96.50, y=55.00, z=497.50], EntityZombie['Zombie'/416, l='MpServer', x=-94.57, y=76.00, z=513.30], EntityShadowMonster['Shadow Monster'/417, l='MpServer', x=-98.50, y=85.00, z=505.50], EntityCreeper['Creeper'/291, l='MpServer', x=-45.50, y=73.00, z=547.50], EntitySkeleton['Skeleton'/292, l='MpServer', x=-48.50, y=49.00, z=570.27], EntityZombie['Zombie'/356, l='MpServer', x=14.52, y=70.01, z=573.03], EntitySkeleton['Skeleton'/293, l='MpServer', x=-67.50, y=41.00, z=582.50], EntityZombie['Zombie'/231, l='MpServer', x=-16.71, y=74.00, z=548.50], EntityPlayerSP['kamyflouge'/230, l='MpServer', x=-25.59, y=47.00, z=554.24], EntityZombie['Zombie'/365, l='MpServer', x=54.50, y=63.00, z=557.50], EntityZombie['Zombie'/303, l='MpServer', x=-58.50, y=78.00, z=499.50], EntityCreeper['Creeper'/304, l='MpServer', x=-83.50, y=64.00, z=533.83], EntityCreeper['Creeper'/305, l='MpServer', x=-104.50, y=68.00, z=546.50], EntityMinecartChest['Minecart with Chest'/307, l='MpServer', x=-91.50, y=43.06, z=568.50], EntityBat['Bat'/308, l='MpServer', x=-92.84, y=39.64, z=562.17], EntityZombie['Zombie'/309, l='MpServer', x=-98.50, y=42.00, z=584.50], EntitySkeleton['Skeleton'/376, l='MpServer', x=-100.50, y=34.00, z=517.50], EntityZombie['Zombie'/317, l='MpServer', x=-12.33, y=72.00, z=564.31]]
	Retry entities: 0 total; []
	Server brand: fml,forge
	Server type: Integrated singleplayer server
Stacktrace:
	at net.minecraft.client.multiplayer.WorldClient.func_72914_a(WorldClient.java:490)
	at net.minecraft.client.Minecraft.func_71396_d(Minecraft.java:2651)
	at net.minecraft.client.Minecraft.func_99999_d(Minecraft.java:398)
	at net.minecraft.client.main.Main.main(SourceFile:124)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
	at java.lang.reflect.Method.invoke(Unknown Source)
	at net.minecraft.launchwrapper.Launch.launch(Launch.java:135)
	at net.minecraft.launchwrapper.Launch.main(Launch.java:28)

-- System Details --
Details:
	Minecraft Version: 1.9.4
	Operating System: Windows 7 (amd64) version 6.1
	Java Version: 1.8.0_77, Oracle Corporation
	Java VM Version: Java HotSpot(TM) 64-Bit Server VM (mixed mode), Oracle Corporation
	Memory: 680605992 bytes (649 MB) / 1978138624 bytes (1886 MB) up to 2863661056 bytes (2731 MB)
	JVM Flags: 3 total; -XX:HeapDumpPath=MojangTricksIntelDriversForPerformance_javaw.exe_minecraft.exe.heapdump -Xmx3G -Xmn1G
	IntCache: cache: 0, tcache: 0, allocated: 12, tallocated: 94
	FML: MCP 9.28 Powered by Forge 12.17.0.1954 Optifine OptiFine_1.9.4_HD_U_B5 54 mods loaded, 54 mods active
	States: 'U' = Unloaded 'L' = Loaded 'C' = Constructed 'H' = Pre-initialized 'I' = Initialized 'J' = Post-initialized 'A' = Available 'D' = Disabled 'E' = Errored
	UCHIJAAAA	mcp{9.19} [Minecraft Coder Pack] (minecraft.jar) 
	UCHIJAAAA	FML{8.0.99.99} [Forge Mod Loader] (forge-1.9.4-12.17.0.1954.jar) 
	UCHIJAAAA	Forge{12.17.0.1954} [Minecraft Forge] (forge-1.9.4-12.17.0.1954.jar) 
	UCHIJAAAA	Aroma1997Core{${version}} [Aroma1997Core] (Aroma1997Core-1.9.4-1.0.6.0.b65.jar) 
	UCHIJAAAA	ExtraUtils2{1.0} [ExtraUtils2] (extrautils2-1.9.4-alpha-1.0.0a.jar) 
	UCHIJAAAA	JEI{3.6.2.211} [Just Enough Items] (jei_1.9.4-3.6.2.211.jar) 
	UCHIJAAAA	abyssalcraft{1.9.1.6} [AbyssalCraft] (AbyssalCraft-1.9.4-1.9.1.6.jar) 
	UCHIJAAAA	Aroma1997CoreHelper{1.0.6.0.b65} [Aroma1997Core|Helper] (Aroma1997Core-1.9.4-1.0.6.0.b65.jar) 
	UCHIJAAAA	AromaBackup{1.0.1.0.b32} [AromaBackup] (AromaBackup-1.9.4-1.0.1.0.b32.jar) 
	UCHIJAAAA	AromaBackupRecovery{1.0} [AromaBackup Recovery] (AromaBackup-1.9.4-1.0.1.0.b32.jar) 
	UCHIJAAAA	Baubles{1.2.1.0} [Baubles] (Baubles-1.9.4-1.2.1.0.jar) 
	UCHIJAAAA	betterbuilderswands{0.6.2} [Better Builder's Wands] (BetterBuildersWands-0.6.2-1.9.4r132+a2243db.jar) 
	UCHIJAAAA	blockdrops{1.0.1} [Block Drops] (BlockDrops-1.9.4-1.0.1.jar) 
	UCHIJAAAA	BloodMagic{1.9.4-2.0.1-42} [Blood Magic: Alchemical Wizardry] (BloodMagic-1.9.4-2.0.1-42.jar) 
	UCHIJAAAA	Bloodmoon{1.2} [Bloodmoon] (Bloodmoon-MC1.9.4-1.4.1.jar) 
	UCHIJAAAA	Botania{r1.8-308} [Botania] (Botania-unofficial.r1.8-308.jar) 
	UCHIJAAAA	Chameleon{1.9-2.1.4} [Chameleon] (Chameleon-1.9-2.1.4.jar) 
	UCHIJAAAA	chancecubes{1.9.4-2.1.2.106} [Chance Cubes] (ChanceCubes-1.9.4-2.1.2.106.jar) 
	UCHIJAAAA	ChestTransporter{2.4.0} [Chest Transporter] (ChestTransporter-1.9.4-2.4.0.jar) 
	UCHIJAAAA	decoy{1.0.1} [Decoy] (Decoy-1.9.4-1.0.1.jar) 
	UCHIJAAAA	endercore{1.9.4-0.4.0.23-alpha} [EnderCore] (EnderCore-1.9.4-0.4.0.23-alpha.jar) 
	UCHIJAAAA	Waila{1.7.0} [Waila] (Waila-1.7.0-B3_1.9.4.jar) 
	UCHIJAAAA	EnderIO{1.9.4-3.0.0.37_alpha} [Ender IO] (EnderIO-1.9.4-3.0.0.37_alpha.jar) 
	UCHIJAAAA	enderthing{0.6.6} [Enderthing] (enderthing-1.9.4-0.6.6.jar) 
	UCHIJAAAA	gravestone{1.3.0} [Gravestone] (Gravestone Mod 1.3.0.jar) 
	UCHIJAAAA	IC2{2.5.3-ex19} [IndustrialCraft 2] (industrialcraft-2-2.5.3-ex19.jar) 
	UCHIJAAAA	InfernalMobs{1.7.0} [Infernal Mobs] (InfernalMobs-1.9.4.jar) 
	UCHIJAAAA	inventorytweaks{1.61-dev-53-0736dc3} [Inventory Tweaks] (InventoryTweaks-1.61-dev-53.jar) 
	UCHIJAAAA	IronChest{6.0.141.782} [Iron Chest] (ironchest-1.9.4-6.0.141.782.jar) 
	UCHIJAAAA	journeymap{1.9.4-5.2.0} [JourneyMap] (journeymap-1.9.4-5.2.0-unlimited.jar) 
	UCHIJAAAA	jeresources{0.4.6.33} [Just Enough Resources] (JustEnoughResources-1.9.4-0.4.6.33.jar) 
	UCHIJAAAA	LunatriusCore{1.1.2.35} [LunatriusCore] (LunatriusCore-1.9.4-1.1.2.35-universal.jar) 
	UCHIJAAAA	mantle{1.9.4-0.10.1.jenkins142} [Mantle] (Mantle-1.9.4-0.10.1.jenkins142.jar) 
	UCHIJAAAA	mineTunes{1.2-7} [mineTunes] (MineTunes 1.2-7.jar) 
	UCHIJAAAA	testdummy{1.10} [MmmMmmMmmMmm] (MmmMmmMmmMmm-1.11.jar) 
	UCHIJAAAA	moreoverlays{1.3} [MoreOverlays] (moreoverlays-1.3-mc1.9.4.jar) 
	UCHIJAAAA	Neat{GRADLE:VERSION-GRADLE:BUILD} [Neat] (Neat 1.2-9.jar) 
	UCHIJAAAA	progressiveautomation{1.6.46} [Progressive Automation] (ProgressiveAutomation-1.9.4-1.6.46.jar) 
	UCHIJAAAA	Psi{beta-33} [Psi] (Psi-beta-33.jar) 
	UCHIJAAAA	quantumflux{2.0.7} [QuantumFlux] (quantumflux-1.9.4-2.0.7.jar) 
	UCHIJAAAA	Quark{beta-22} [Quark] (Quark-beta-22.jar) 
	UCHIJAAAA	refinedstorage{0.7.6} [Refined Storage] (refinedstorage-0.7.6.jar) 
	UCHIJAAAA	xreliquary{1.9.4-1.3.2.372} [Reliquary] (Reliquary-1.9.4-1.3.2.372.jar) 
	UCHIJAAAA	rftools{4.51} [RFTools] (rftools-1.9.4-4.51.jar) 
	UCHIJAAAA	rftoolsdim{4.23beta41} [RFTools Dimensions] (rftoolsdim-1.9.4-4.23beta41.jar) 
	UCHIJAAAA	Roguelike{1.5.2} [Roguelike Dungeons] (RoguelikeDungeons-1.9.4-1.5.2.jar) 
	UCHIJAAAA	ShieldHider{1.0.1} [Shield Hider] (ShieldHider-1.0.1_1.9.4.jar) 
	UCHIJAAAA	Stackie{1.6.0.42} [Stackie] (Stackie-1.9.4-1.6.0.42-universal.jar) 
	UCHIJAAAA	StorageDrawers{1.9-3.1.7} [Storage Drawers] (StorageDrawers-1.9-3.1.7.jar) 
	UCHIJAAAA	tconstruct{1.9.4-2.3.1.jenkins229} [Tinkers' Construct] (TConstruct-1.9.4-2.3.1.jenkins229.jar) 
	UCHIJAAAA	theoneprobe{1.0.6} [The One Probe] (theoneprobe-1.9.4-1.0.6.jar) 
	UCHIJAAAA	thutcore{3.1.2} [ThutCore] (thutcore-1.9.4-3.1.2.jar) 
	UCHIJAAAA	thuttech{3.0.2} [Thut's Tech] (thuttech-3.0.2.jar) 
	UCHIJAAAA	Woot{1.9.4-0.2.0-beta} [Woot] (woot-1.9.4-0.2.0-beta.jar) 
	Loaded coremods (and transformers): 
LoadingPlugin (Bloodmoon-MC1.9.4-1.4.1.jar)
  lumien.bloodmoon.asm.ClassTransformer
LoadingPlugin (Quark-beta-22.jar)
  vazkii.quark.base.asm.ClassTransformer
CoreXU2 (extrautils2-1.9.4-alpha-1.0.0a.jar)
  com.rwtema.extrautils2.asm.ClassTransformerHandler
IC2core (industrialcraft-2-2.5.3-ex19.jar)
  
FMLPlugin (InventoryTweaks-1.61-dev-53.jar)
  invtweaks.forge.asm.ContainerTransformer
CoreMod (Aroma1997Core-1.9.4-1.0.6.0.b65.jar)
  
EnderCorePlugin (EnderCore-1.9.4-0.4.0.23-alpha.jar)
  com.enderio.core.common.transform.EnderCoreTransformer
	GL info: ' Vendor: 'Intel' Version: '3.1.0 - Build 9.17.10.4101' Renderer: 'Intel(R) HD Graphics 3000'
	Pulsar/tconstruct loaded Pulses: 
		- TinkerCommons (Enabled/Forced)
		- TinkerWorld (Enabled/Not Forced)
		- TinkerTools (Enabled/Not Forced)
		- TinkerSmeltery (Enabled/Not Forced)
		- TinkerGadgets (Enabled/Not Forced)
		- TinkerOredict (Enabled/Forced)
		- TinkerIntegration (Enabled/Forced)
		- TinkerFluids (Enabled/Forced)
		- TinkerMaterials (Enabled/Forced)

	EnderIO: Found the following problem(s) with your installation (That does NOT mean that Ender IO caused the crash or was involved in it in any way. We add this information to help finding common problems, not as an invitation to post any crash you encounter to Ender IO's issue tracker.):
                  * Optifine is installed. This is NOT supported.
                 This may (look up the meaning of 'may' in the dictionary if you're not sure what it means) have caused the error. Try reproducing the crash WITHOUT this/these mod(s) before reporting it.
	Launched Version: 1.9.4-forge1.9.4-12.17.0.1954
	LWJGL: 2.9.4
	OpenGL: Intel(R) HD Graphics 3000 GL version 3.1.0 - Build 9.17.10.4101, Intel
	GL Caps: Using GL 1.3 multitexturing.
Using GL 1.3 texture combiners.
Using framebuffer objects because OpenGL 3.0 is supported and separate blending is supported.
Shaders are available because OpenGL 2.1 is supported.
VBOs are available because OpenGL 1.5 is supported.

	Using VBOs: Yes
	Is Modded: Definitely; Client brand changed to 'fml,forge'
	Type: Client (map_client.txt)
	Resource Packs: 
	Current Language: English (US)
	Profiler Position: N/A (disabled)
	CPU: net.minecraft.client.Minecraft$15@3777c956
	OptiFine Version: OptiFine_1.9.4_HD_U_B5
	Render Distance Chunks: 8
	Mipmaps: 4
	Anisotropic Filtering: 1
	Antialiasing: 0
	Multitexture: false
	Shaders: null
	OpenGlVersion: 3.1.0 - Build 9.17.10.4101
	OpenGlRenderer: Intel(R) HD Graphics 3000
	OpenGlVendor: Intel
	CpuCount: 4

Chocohead

2016-06-13 14:53

developer   ~0004552

Duplicate of 0001890

Issue History

Date Modified Username Field Change
2016-06-13 13:53 kamyflouge New Issue
2016-06-13 13:53 kamyflouge File Added: crash-2016-06-12_15.22.23-client.txt
2016-06-13 14:53 Chocohead Note Added: 0004552
2016-06-13 14:53 Chocohead Tag Attached: Can be closed
2016-06-13 14:53 Chocohead Tag Attached: Duplicate
2016-06-14 08:52 Aroma1997 Minecraft Version 1.9.4forge => 1.9.4
2016-06-14 08:52 Aroma1997 Relationship added duplicate of 0001890
2016-06-14 08:52 Aroma1997 Status new => resolved
2016-06-14 08:52 Aroma1997 Fixed in Version => Builds for MC 1.9.x
2016-06-14 08:52 Aroma1997 Resolution open => fixed
2016-06-14 08:52 Aroma1997 Assigned To => Aroma1997